Bug 499828 - 'Luks' object has no attribute 'targetSize'
'Luks' object has no attribute 'targetSize'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
anaconda_trace_hash:7a8be225e06e25ce2...
:
Depends On:
Blocks: F11AnacondaBlocker
  Show dependency treegraph
 
Reported: 2009-05-08 09:39 EDT by Clyde E. Kunkel
Modified: 2009-05-19 16:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 16:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (959.27 KB, text/plain)
2009-05-08 09:39 EDT, Clyde E. Kunkel
no flags Details
Attached traceback automatically from anaconda. (1.01 MB, text/plain)
2009-05-14 14:15 EDT, Clyde E. Kunkel
no flags Details

  None (edit)
Description Clyde E. Kunkel 2009-05-08 09:39:43 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.51 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/deviceaction.py", line 345, in __init__
    if device.format.targetSize == newsize:
  File "/usr/lib/anaconda/iw/lvm_dialog_gui.py", line 1076, in run
    actions.append(ActionResizeFormat(origlv, new_size))
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1152, in editLVMVolumeGroup
    actions = vgeditor.run()
  File "/usr/lib/anaconda/iw/partition_gui.py", line 1076, in editCB
    self.editLVMVolumeGroup(device)
AttributeError: 'LUKS' object has no attribute 'targetSize'
Comment 1 Clyde E. Kunkel 2009-05-08 09:39:51 EDT
Created attachment 343079 [details]
Attached traceback automatically from anaconda.
Comment 2 Clyde E. Kunkel 2009-05-08 11:14:41 EDT
Occurred when I edited the encrypted LV to mount it under /mnt and then changed my mind after clicking ok and edited it again to delete the mount.  Traceback occurred after clicking ok.

(Note:  maybe related to 496363 which is still a problem.)
Comment 3 Clyde E. Kunkel 2009-05-14 14:15:43 EDT
Created attachment 344026 [details]
Attached traceback automatically from anaconda.
Comment 4 Clyde E. Kunkel 2009-05-14 14:29:50 EDT
traceback occurred after clicking 2nd ok after manually entering mount point for encrypted LV.
Comment 5 Clyde E. Kunkel 2009-05-14 18:37:04 EDT
Tried without mounting any luks LVs and, of course, installed fine.
Comment 6 David Lehman 2009-05-14 18:43:50 EDT
A fix for this bug will be in anaconda-11.5.0.53-1.
Comment 7 Clyde E. Kunkel 2009-05-19 16:22:59 EDT
works in .53.  Closing.

Note You need to log in before you can comment on or make changes to this bug.